zip_with.hpp File Reference

## Classes

struct | ranges::iter_zip_with_view< Fun, Rngs >
struct | ranges::views::iter_zip_with_fn
struct | ranges::views::zip_with_fn
struct | ranges::zip_with_view< Fun, Rngs >

## Variables

template<typename Fun , typename ... Rngs>
concept | ranges::views::zippable_with
template<typename Fun , typename ... Rngs>
concept | ranges::views::zippable_with_ = invocable<Fun&, iterator_t<Rngs>...> && invocable<Fun&, copy_tag, iterator_t<Rngs>...> && invocable<Fun&, move_tag, iterator_t<Rngs>...>

## Variable Documentation

## zippable_with

template<typename Fun , typename ... Rngs>

concept ranges::views::zippable_with

Initial value:
=
and_v<input_range<Rngs>...> &&
copy_constructible<Fun> &&
views::zippable_with_ < Fun, Rngs... >